Bug 783481 - icu fails in rawhide with gcc 4.7.0 mass rebuild
Summary: icu fails in rawhide with gcc 4.7.0 mass rebuild
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-20 15:21 UTC by Peter Robinson
Modified: 2012-01-24 07:37 UTC (History)
3 users (show)

Fixed In Version: gcc-4.7.0-0.9.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 07:37:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 51933 None None None Never

Description Peter Robinson 2012-01-20 15:21:12 UTC
icu 4.8.1 previously built fine in rawhide in the mass rebuild it failed in the tests with quite a number of test failures.

Build is
http://koji.fedoraproject.org/koji/taskinfo?taskID=3717531

The previous build on December 13th built OK so its possibly a regression in gcc
http://koji.fedoraproject.org/koji/buildinfo?buildID=278730

I've tested the build up to and including gcc-4.7.0-0.8.fc17

Comment 1 Peter Robinson 2012-01-20 15:21:51 UTC
assigning to gcc as likely a gcc issue

Comment 2 Jakub Jelinek 2012-01-20 15:36:41 UTC
That needs analysis by the package maintainer first.  It might be a GCC issue, but it might also be (and more probably) just package bug, strict aliasing violation, undefined behavior code etc.
If you suspect a gcc bug, it needs to be first reduced into a small self-contained reproducer.  Thanks.

Comment 3 Eike Rathke 2012-01-20 17:25:44 UTC
(In reply to comment #0)
> icu 4.8.1 previously built fine

@pbrobinson: I noticed you updated the ICU to version 4.8.1.1, did this package actually build with other gcc versions?

Comment 4 Peter Robinson 2012-01-21 14:01:20 UTC
(In reply to comment #3)
> (In reply to comment #0)
> > icu 4.8.1 previously built fine
> 
> @pbrobinson: I noticed you updated the ICU to version 4.8.1.1, did this package
> actually build with other gcc versions?

Scratch build on f16 builds fine
http://koji.fedoraproject.org/koji/taskinfo?taskID=3719806

Comment 5 Jakub Jelinek 2012-01-21 14:40:38 UTC
This turned to be a GCC bug, icu/source/test/cintltst/cbiditst.c u16ToPseudo function is miscompiled.  But next time I'd really appreciate if at least the binary search (if doing brute force search) would be done by package maintainers who know their code better than me.


Note You need to log in before you can comment on or make changes to this bug.